lens-4.17.1: Lenses, Folds and Traversals

Copyright | (C) 2012-16 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Control.Seq.Lens

Description

A `ReifiedFold` can be used to take the role of `Foldable` in `Control.Seq`.

Synopsis

- seqOf :: Getting (Endo [a]) s a -> Strategy a -> Strategy s

# Documentation

seqOf :: Getting (Endo [a]) s a -> Strategy a -> Strategy s Source #

Evaluate the elements targeted by a `ReifiedLens`, `ReifiedTraversal`, `ReifiedIso`, `ReifiedGetter` or `ReifiedFold` according to the given strategy.

    seqFoldable = seqOf folded